@echo on

:: set JAVA_PATH="C:\Program Files\Java\jdk1.6.0_31\bin"
set JAVA_PATH="%JAVA_HOME%\bin"
set JAR_PATH=%4%

rmdir source /s /q
mkdir source

rmdir classes /s /q
mkdir classes

rmdir lib /s /q
mkdir lib

:: Here we need to loop through each xsd file and create a custom package name to prevent collisions
:: that would otherwise only be resolved through a JAXB binding file.

setlocal ENABLEDELAYEDEXPANSION
for /r %%i in (.\xsd\*.xsd) do (
   set XSD_NAME=%%~ni
   
:: If the package name gets too long, here is the spot to do some string substitution and alter it.
:: Right now we're getting rid of '_ws_WSDLSchema_import_1' since it just clutters up the name.

   set XSD_NAME=!XSD_NAME:_ws_WSDLSchema_import_1=!
  
:: Run XJC on schema and generate source  
   %JAVA_PATH%\java -classpath %JAR_PATH%jaxb-xjc-2.0.5-1.jar;%JAR_PATH%jaxb-impl-2.0.5-1.jar;%JAR_PATH%jaxb-api.jar com.sun.tools.xjc.Driver -d source -p com.dsixe.jaxbgen.!XSD_NAME! .\xsd\%%~ni.xsd
)
endlocal

:: Create list of files and compile them
dir /b /s *.java > files.txt
%JAVA_PATH%\javac -target 1.6 -source 1.6 @files.txt -d classes

:: Create JAR file
%JAVA_PATH%\jar -cvf ./lib/jaxbgen_%2%.jar -C classes/ .

copy .\lib\* %3% 
copy %JAR_PATH%dsixe_jaxbUtils.jar %3%


@echo off
echo --------------------------------------------------------------------------------------
echo Copyright DsixE Inc 2014. www.dsixe.com
echo Visit Apache Commons BeanUtils for useful bean utilities 
echo http://commons.apache.org/proper/commons-beanutils/
echo --------------------------------------------------------------------------------------
